tools/livecd-iso-to-pxeboot.sh
by Brian C. Lane
tools/livecd-iso-to-pxeboot.sh | 20 ++++++++++++++------
1 file changed, 14 insertions(+), 6 deletions(-)
New commits:
commit 75ce25e494ccb74b4bc19c807d1d789194e40f87
Author: Brian C. Lane <bcl(a)redhat.com>
Date: Thu Jul 28 15:08:21 2011 -0700
Modify pxeboot script to work with F16
diff --git a/tools/livecd-iso-to-pxeboot.sh b/tools/livecd-iso-to-pxeboot.sh
index 45a1ffe..83881d4 100755
--- a/tools/livecd-iso-to-pxeboot.sh
+++ b/tools/livecd-iso-to-pxeboot.sh
@@ -66,8 +66,6 @@ if [ -d tftpboot ]; then
exit 1
fi
-mkdir tftpboot
-
# Mount the ISO.
# FIXME: would be better if we had better mountpoints
CDMNT=$(mktemp -d /media/cdtmp.XXXXXX)
@@ -76,11 +74,21 @@ mount -o loop "$ISO" $CDMNT || exitclean
trap exitclean SIGINT SIGTERM
# Does it look like an ISO?
-if [ ! -d $CDMNT/isolinux -o ! -f $CDMNT/isolinux/initrd0.img ]; then
+if [[ ( ! -d $CDMNT/isolinux ) || ( ! -f $CDMNT/isolinux/initrd0.img && ! -f $CDMNT/isolinux/initrd.img ) ]]; then
echo "The ISO image doesn't look like a LiveCD ISO image to me."
exitclean
fi
+if [[ -f $CDMNT/isolinux/initrd0.img ]]; then
+ INITRD=initrd0.img
+ VMLINUZ=vmlinuz0
+else
+ INITRD=initrd.img
+ VMLINUZ=vmlinuz
+fi
+
+mkdir tftpboot
+
# Create a cpio archive of just the ISO and append it to the
# initrd image. The Linux kernel will do the right thing,
# aggregating both cpio archives (initrd + ISO) into a single
@@ -89,10 +97,10 @@ ISOBASENAME=`basename "$ISO"`
ISODIRNAME=`dirname "$ISO"`
( cd "$ISODIRNAME" && echo "$ISOBASENAME" | cpio -H newc --quiet -L -o ) |
gzip -9 |
- cat $CDMNT/isolinux/initrd0.img - > tftpboot/initrd0.img
+ cat $CDMNT/isolinux/$INITRD - > tftpboot/$INITRD
# Kernel image.
-cp $CDMNT/isolinux/vmlinuz0 tftpboot/vmlinuz0
+cp $CDMNT/isolinux/$VMLINUZ tftpboot/$VMLINUZ
# pxelinux bootloader.
if [ -f /usr/share/syslinux/pxelinux.0 ]; then
@@ -115,7 +123,7 @@ DEFAULT pxeboot
TIMEOUT 20
PROMPT 0
LABEL pxeboot
- KERNEL vmlinuz0
+ KERNEL $VMLINUZ
APPEND rootflags=loop $APPEND
ONERROR LOCALBOOT 0
EOF
12 years, 4 months
Migrating persistent overlay into the squashfs
by James Heather
I have a feeling that someone recently wrote something to allow you to
migrate changes from the persistent overlay into the squashfs image,
thus freeing up the space in the overlay. The obvious use case is:
1. Boot live USB stick
2. yum update (which will eat up lots of overlay space)
3. Run whatever it is, from a separate system, to recreate the
squashfs image to take account of the changes (freeing up the
overlay space again)
But I can't find it. It doesn't seem to be in liveimage-mount. Did
whatever it was make it into F15? If not, does anyone know what it is,
where it is, how to use it, and whether it works?
Thanks.
James
12 years, 4 months
Ethernet interface up issue
by Muhammad Ammar
Hi All,
I have built a custom fedora 14 spin. Everything is working fine except a
little issue.
The problem is Ethernet interface is not up when when i login to my custom
fedora spin. Currently i am forcefully bringing the interface up.
What changes should i made in my kickstart file to automatically up the
interfaces?
Regards,
12 years, 4 months
Re: [Fedora-livecd-list] [livecd PATCH] Add initial support for ARM architectures
by Brian C. Lane
On Tue, Jul 19, 2011 at 11:59:59PM -0400, Martin Langhoff wrote:
> This allows us to get basic ARM builds going. It doesn't take care of
> booting facilities, but those vary widely in the ARM world.
Thanks, applied to master.
--
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)
12 years, 4 months
imgcreate/live.py
by Brian C. Lane
imgcreate/live.py | 3 +++
1 file changed, 3 insertions(+)
New commits:
commit 3f82de5e4bffe2655127f6d1a9032c64605f002b
Author: Martin Langhoff <martin.langhoff(a)gmail.com>
Date: Tue Jul 19 23:59:59 2011 -0400
Add initial support for ARM architectures
This allows us to get basic ARM builds going. It doesn't take care of
booting facilities, but those vary widely in the ARM world.
For the time being, setup for booting should be done in %post .
diff --git a/imgcreate/live.py b/imgcreate/live.py
index 655eb16..6ad9c5b 100755
--- a/imgcreate/live.py
+++ b/imgcreate/live.py
@@ -916,5 +916,8 @@ elif arch in ("ppc",):
LiveImageCreator = ppcLiveImageCreator
elif arch in ("ppc64",):
LiveImageCreator = ppc64LiveImageCreator
+elif arch.startswith('arm'):
+ LiveImageCreator = LiveImageCreatorBase
+
else:
raise CreatorError("Architecture not supported!")
12 years, 4 months
Extremely mini Fedora Remix kickstart
by Valent Turkovic
I feel like I have imagined this - but was there a discussion on these
lists with one user who has creates a an extremely minimal kickstart.
Yes, even more minimal than Fedora mini ks files. Fedora user even
posted it in this emails, I would really like to use it. I searched in
old threads but just can't seam to find this discussion. If you have
seen it please point me in the right direction.
Thanks.
--
follow me - www.twitter.com/valentt & http://kernelreloaded.blog385.com
linux, anime, spirituality, wireless, scuba, linuxmce smart home, zwave
ICQ: 2125241, Skype: valent.turkovic, MSN: valent.turkovic(a)hotmail.com
12 years, 4 months
livecd-creator/fedora dependency resolution?
by Muhammad Ammar
Hi All,
I am working on a Fedora 15 custom spin but didn't understand how dependency
resolution works.
In my kickstart i mentioned not to installed office group using the like
following:
%packages
-@office
But when i boot the iso image the evince package is present which should not
because it resides under office group and according to above office group
should not be included in the spin.
Anyone have any information about this?
Regards,
12 years, 5 months
gsettings not working in kickstart
by Muhammad Ammar
Hi All,
I am building a custom Fedora 15 spin and using fedora-live-mini.ks as base
kickstart for my own custom kickstart.
I don't want to see gnome panels when my spin show the desktop and for this
purpose i am using the following command in fedora-live-mini.ks file but no
effect.
gsettings set org.gnome.gnome-panel.layout toplevel-id-list []
The command works perfectly if run from shell without root.
Can anyone please shed some light on this issue?
Regards,
12 years, 5 months